User Assets
Delete asset
Delete one asset by its ID.
DELETE
https://api.sangtao.ai/v2/user-assets/{id}Authorization
X-Api-Keystring · headerrequiredYour API key, from the API keys page of your account.
Path parameters
idstringrequiredThe ID in the path.
The {id} in the path is the asset's id, e.g. ua_3kT9qPz0B. Old numeric ids are still accepted.
Response
data is { "deleted": true }.
Errors
| Status | errorCode | When |
|---|---|---|
| 404 | ASSET_NOT_FOUND | Asset not found or doesn't belong to user |
DELETE
/user-assets/{id}curl -X DELETE "https://api.sangtao.ai/v2/user-assets/ua_3kT9qPz0B" \
-H "X-Api-Key: YOUR_API_KEY"{
"success": true,
"data": {
"deleted": true
}
}DELETE
/user-assets/{id}curl -X DELETE "https://api.sangtao.ai/v2/user-assets/ua_3kT9qPz0B" \
-H "X-Api-Key: YOUR_API_KEY"{
"success": true,
"data": {
"deleted": true
}
}